package redis_key

import "strings"

const KEY_SEPARATE = ":"

func KeyJoin(keys ...string) string {
	var build strings.Builder
	for _, v := range keys {
		build.WriteString(v)
		build.WriteString(KEY_SEPARATE)
	}
	s := build.String()
	s = strings.TrimSuffix(s, KEY_SEPARATE)
	return s
}
